[CentOS] Virtual Machine Manager error

Rajagopal Swaminathan raju.rajsand at gmail.com
Tue Jan 17 05:48:01 UTC 2012


Greetings,


I am getting the following error when I start the Virtual machine manager

[root at centos Desktop]# uname -a
Linux blah.blah.blah 2.6.32-220.2.1.el6.x86_64 #1 SMP Fri Dec 23
02:21:33 CST 2011 x86_64 x86_64 x86_64 GNU/Linux


Error polling connection 'qemu:///system': internal error Cannot find
suitable emulator for x86_64

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 440, in _tick
    conn.tick()
  File "/usr/share/virt-manager/virtManager/connection.py", line 1414, in tick
    newNets, self.nets) = self._update_nets()
  File "/usr/share/virt-manager/virtManager/connection.py", line 1277,
in _update_nets
    lookup_func, build_class)
  File "/usr/share/virt-manager/virtManager/connection.py", line 1209,
in _poll_helper
    if not check_support():
  File "/usr/share/virt-manager/virtManager/connection.py", line 501,
in is_network_capable
    virtinst.support.SUPPORT_CONN_NETWORK)
  File "/usr/lib/python2.6/site-packages/virtinst/support.py", line
574, in check_conn_support
    return _check_support(conn, feature, conn)
  File "/usr/lib/python2.6/site-packages/virtinst/support.py", line
443, in _check_support
    actual_drv_ver = _hv_ver(conn, uri)
  File "/usr/lib/python2.6/site-packages/virtinst/support.py", line
376, in _hv_ver
    ret = cmd(*args)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 2823, in getVersion
    if ret == -1: raise libvirtError ('virConnectGetVersion() failed',
conn=self)
libvirtError: internal error Cannot find suitable emulator for x86_64

any clues?

TIA

--
Regards,

Rajagopal



More information about the CentOS mailing list